/* ========== Google Fonts ========== */
/* Roboto */
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap');
/* Amita */
@import url('https://fonts.googleapis.com/css2?family=Amita:wght@700&display=swap');
/* Pangolin */
@import url('https://fonts.googleapis.com/css2?family=Pangolin&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kaushan+Script&display=swap');

:root {

    --header-height: 4.5rem;

    /* ========== Colors ========== */
    --main-color: #ff8000;
    --text-bold-color: #fff;
    --text-light-color: #818693;
    --text-dark-color: rgba(255, 255, 255, 0.65);
    --btn1-hover-color: rgb(214, 107, 0);
    --btn2-hover-color: rgba(255, 255, 255, 0.36);
    --white-color: #fff;
    --black-color: #000;
    --label-color: rgba(62, 69, 89, 0.35);

    /* ========== Font & Typography ========== */
    --font-family-1: 'Roboto', sans-serif;
    --font-family-2: 'Kaushan Script', cursive;
    --section-title-font-size: 29px;
    --text-font-size: 15px;

    /* ========== Font Weight ========== */
    --font-extra-light: 300;
    --font-light: 400;
    --font-medium: 500;
    --font-semi-bold: 600;
    --font-bold: 700;
    --font-extra-bold: 900;

    /* ========== Border Radius ========== */
    --radius-8: 8px;
    --radius-14: 14px;
    --radius-30: 30px;
    --radius-full: 50%;
}

body {
    font-size: var(--text-font-size);
    font-weight: var(--font-light);
    overflow-x: hidden;
    --webkit-font-smoothing: antialiased;
    background-color: var(--black-color);
    color: var(--white-color);
}

/* ==================== Reusable CSS Classes ==================== */
.section__padding {
    padding: 0px 15px;
}

.section__top {
    margin-bottom: 45px;
}

.section__heading {
    display: block;
}

.section__subtitle {
    color: var(--main-color);
    font-weight: var(--font-extra-bold);
    font-size: 16px;
    text-transform: uppercase;
    letter-spacing: 1px;
    margin-bottom: 10px;
}

.section__title {
    font-weight: var(--font-extra-bold);
    font-size: var(--section-title-font-size);
    margin-bottom: 25px;
}

.section__title.light {
    color: var(--white-color);
}

.section__title.dark {
    color: var(--black-color);
}

.text__center {
    text-align: center;
}

.wrapper {
    padding: 70px 0;
    position: relative;
}

.heading__text {
    font-family: var(--font-family-2);
    color: var(--white-color);
    font-size: 40px;
    margin-bottom: 1rem;
    line-height: 1.2;
}

/* Buttons */
.button__wrapper {
    display: flex;
    justify-content: space-between;
}

.btn {
    padding: 10px 18px;
    font-size: 14px;
    font-weight: var(--font-medium);
    border: none;
    outline: none;
    border-radius: var(--radius-30);
    cursor: pointer;
    transition: all 0.3s linear;
    color: var(--white-color);
}

.btn__1 {
    background-color: var(--main-color);
}

.btn__1:hover {
    background-color: var(--btn1-hover-color);
}

.btn__2.light {
    color: var(--white-color);
    border: 2px solid rgba(255, 255, 255, 0.36);
    background-color: transparent;
}

.btn__2.dark {
    color: var(--black-color);
    border: 2px solid rgba(62, 69, 89, 0.21);
    background-color: transparent;
}

.btn__2.dark:hover {
    background-color: #CFD1D5;
    border-color: transparent;
}

.btn__2:hover {
    background-color: var(--btn2-hover-color);
    border-color: transparent;
}

.carousel__btn {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 55px;
    height: 55px;
    border-radius: var(--radius-full);
    background-color: transparent;
    font-size: 1.25rem;
    cursor: pointer;
    margin-right: 5px;
    transition: border-color 0.3s linear;
}

.carousel__btn.light {
    color: white;
    border: 2px solid var(--white-color);
}

.carousel__btn.dark {
    color: black;
    border: 2px solid rgba(62, 69, 89, 0.21);
}

.carousel__btn.dark:hover {
    border-color: black;
}

.carousel__btn i {
    pointer-events: none;
}

/* ==================== Base ==================== */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--font-family-1);
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

img {
    width: 100%;
    height: 100%;
    transition: all 0.3s ease-in-out;
}

html {
    scroll-behavior: smooth;
}

/* <--=========== Header & Nav ===========-->*/
.header {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 99999;
    padding: 0 15px;
    background-color: transparent;
}

/* Fading in Header On Load */
header {
    opacity: 0;
    animation: fadeIn 1s 2s ease-in;
    animation-fill-mode: forwards;
}

.header__top,
.header__top .contact__details {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 8px 0;
    width: 100%;
}

.header__top a {
    color: var(--white-color);
    transition: all 0.3s ease-in;
}

.header__top .contact__number:hover,
.header__top .contact__email:hover {
    color: var(--main-color);
}

.header__social__links {
    display: none;
    gap: 22px;
    margin-top: 5px;
}

.header__social__links i {
    font-size: 24px;
    opacity: 0.36;
}

.header__social__links i:hover {
    opacity: 1;
}

/*<========== NAV ==========>*/
.nav {
    height: var(--header-height);
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border-bottom: 1px solid rgba(255, 255, 255, 0.29);
}

.nav__logo,
.nav__search,
.nav__toggle {
    color: var(--white-color);
}

.nav__logo {
    display: inherit;
    font-weight: var(--font-extra-light);
    line-height: 70px;
    width: 300px;
}

.nav__search {
    font-size: 1.7rem;
    cursor: pointer;
    position: absolute;
    left: 0;
}

.nav__toggle {
    font-size: 2rem;
    cursor: pointer;
    position: absolute;
    right: 0;
}

.nav__menu {
    position: relative;
    transition: all 0.3s ease-in-out;
}


@media screen and (max-width: 1279px) {
    .nav__menu {
        position: fixed;
        background-color: var(--black-color);
        top: 0;
        right: -100%;
        width: 300px;
        height: 100%;
        z-index: 99999;
        box-shadow: -1px 0 4px rgba(14, 55, 63, 0.15);
        padding-top: 8rem;
        padding-left: 1rem;
    }

    .nav__logo {
        width: 280px;
    }

    .nav__item {
        padding-bottom: 25px;
    }

    .nav__link {
        color: var(--white-color);
        padding: 15px;
    }

    .nav__link.active {
        color: var(--main-color);
        border-bottom: none !important;
    }
}

@media screen and (max-width: 500px) {
    .nav__logo {
        width: 250px;
    }

    .header__top a {
        font-size: 14px;
    }

    .nav__search {
        margin-top: 10px;
    }

    .nav__toggle {
        margin-top: 10px;
    }
}

@media screen and (max-width: 420px) {
    .nav__menu {
        width: 100%;
    }
}

.nav__list {
    display: flex;
    flex-direction: column;
}

.nav__link {
    padding: 25px;
    color: var(--text-bold-color);
    font-size: var(--text-font-size);
    font-weight: var(--font-medium);
    text-transform: uppercase;
    transition: all 0.3s ease-in-out;
}

.nav__link:hover {
    color: var(--main-color);
}

.nav__link.active {
    border-bottom: 2px solid var(--white-color);
}

.nav__close {
    position: absolute;
    color: var(--white-color);
    top: 3.75rem;
    right: 2rem;
    font-size: 2.5rem;
    cursor: pointer;
}

/* Show Menu */
.show-menu {
    right: 0;
}

@media screen and (max-width: 375px) {
    .nav__logo {
        width: 220px;
    }

    .header__top a {
        font-size: 12px;
    }

    .nav__search {
        font-size: 1.5rem;
        cursor: pointer;
        position: absolute;
        left: 0;
        margin-top: 10px;
    }

    .nav__toggle {
        font-size: 1.5rem;
        cursor: pointer;
        position: absolute;
        right: 0;
        margin-top: 10px;
    }
}

@media screen and (max-width: 315px) {
    .nav__logo {
        width: 190px;
    }

    .nav__search {
        font-size: 1.3rem;
        cursor: pointer;
        position: absolute;
        left: 0;
        margin-top: 5px;
    }

    .nav__toggle {
        font-size: 1.3rem;
        cursor: pointer;
        position: absolute;
        right: 0;
        margin-top: 5px;
    }

}

@media screen and (min-width: 1280px) {

    .nav__link {
        color: var(--white-color);
        text-transform: initial;
        padding: 20px 15px 25px;
    }

    .nav__menu {
        display: flex;
        column-gap: 1rem;
    }

    .nav__list {
        flex-direction: row;
        column-gap: 1rem;
    }

    .nav__toggle,
    .nav__close {
        display: none;
    }

    .nav__search {
        position: static;
    }

    .nav {
        justify-content: space-between;
    }
}

/* Fixing Navbar on Scroll */
.nav__wrapper.fixed {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    padding: 0 15px;
    background-color: var(--black-color);
    z-index: 99999;
    border-bottom: 1px solid rgba(255, 255, 255, 0.29);
    transition: top 0.3s ease-in-out;
}

.nav__wrapper.fixed .nav {
    border-bottom: none;
}

/* Search BAr */
.search__bar__wrapper {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 99999;
    top: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 0.3s ease-in-out;
    opacity: 0;
    pointer-events: none;
}

.search__bar__wrapper.show-search {
    opacity: 1;
    pointer-events: auto;
}

.search__bar {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 90vw;
    border-bottom: 2px solid var(--white-color);
    padding-bottom: 10px;
}

.search__bar input {
    background-color: transparent;
    outline: none;
    border: none;
    width: 100%;
    font-size: 28px;
    color: var(--white-color);
}

.search__bar input::placeholder {
    color: var(--white-color);
}

.search__submit,
.search__close {
    background-color: transparent;
    font-size: 40px;
    color: var(--white-color);
    padding: 0 6px;
    border: none;
    cursor: pointer;
}

.search__close {
    font-size: 50px;
    position: absolute;
    right: 5%;
    top: 20px;
}

/* <========== Home ==========> */
#home {
    position: relative;
}

#home .wrapper {
    padding: 0;
}

.home__slide {
    position: relative;
    background-position: center;
    background-size: cover;
    min-height: 100vh;
    background-repeat: no-repeat;
}

.home__slide.slide__1 {
    background-image: url(../images/kl-city.png);
}

.home__slide.slide__2 {
    background-image: url(../images/templer-perak.jpg);
}

.home__slide.slide__3 {
    background-image: url(../images/genting-highland.jpg);
}

.home__slide.slide__4 {
    background-image: url(../images/firefly.jpg);
}

.home__slide.slide__5 {
    background-image: url(../images/malacca.jpg);
}

.home__slide.slide__6 {
    background-image: url(../images/Singapore.jpg);
}

.overlay {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, 0.491), rgba(0, 0, 0, 0.3));
}

.home__slide__content {
    position: absolute;
    width: 100%;
    bottom: 18%;
    left: 3%;
    opacity: 0;
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

.home-carousel .owl-item.active .home__slide__content {
    animation: fadeIn 1s 1s ease-in;
    animation-fill-mode: forwards;
}

.home__slide__content .heading__text {
    text-shadow: 0px 2px 5px var(--black-color);
}

.home__slide__desc {
    color: var(--white-color);
    margin-bottom: 1.5rem;
    max-width: 700px;
    font-size: 18px;
}

.home__slide__content .carousel__btn {
    position: absolute;
    bottom: -70px;
    right: 30px;
}

.home__slide__content .btn a {
    width: 45%;
    padding: 15px 0;
    letter-spacing: 2px;
    color: white;
}

.best__destination {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    left: 2%;
    top: 84%;
    z-index: 8;
    width: 230px;
}

@media screen and (max-width: 300px) {
    .best__destination {
        width: 200px;
    }
}

.best__destination i {
    font-size: 50px;
    color: var(--white-color);
    margin-right: 10px;
}

.best__destination p {
    font-size: 17px;
    color: var(--white-color);
}

/* <========== DESTINATIONS ==========> */
#destinations {
    background-color: var(--black-color);
}

#destinations .button__wrapper .btn a {
    color: white;
}

.destination__slide {
    position: relative;
    cursor: pointer;
}

.destination__slide img {
    min-height: 370px;
    max-height: 370px;
    object-fit: cover;
    border-radius: var(--radius-14);
}

.destination__slide .tag__list {
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    padding-top: 20px;
    padding-left: 15px;
}

.tags {
    height: 36px;
    width: auto;
    display: block;
    float: left;
    line-height: 36px;
    color: var(--white-color);
    font-size: 17px;
    font-weight: var(--font-medium);
    text-align: center;
    padding: 0 15px;
    margin-right: 15px;
    border-radius: var(--radius-30);
}

.tags.discount {
    background-color: #CB4822;
}

.tags.new {
    background-color: #009A70;
}

.destination__slide .content {
    position: absolute;
    width: 100%;
    bottom: 0;
    padding-left: 15px;
    padding-bottom: 22px;
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.7) 100%);
}

.rating {
    margin-bottom: 10px;
}

.rating i {
    color: #ffc400;
    width: 17px;
    height: 20px;
}

.rating i.inactive {
    color: var(--white-color);
}

.destination__slide .content .title {
    font-size: 28px;
    color: var(--white-color);
    font-weight: var(--font-extra-bold);
    margin-bottom: 10px;
    transition: all 0.3s linear;
}

.destination__slide .content .title:hover {
    color: var(--main-color);
}

.destination__slide .content .description {
    font-size: 15px;
    max-width: 600px;
    font-style: italic;
    color: var(--text-dark-color);
    margin-bottom: 18px;
    margin-right: 1rem;
}

.clock {
    color: var(--white-color);
    font-size: 22px;
    transform: translateY(2px);
    margin-right: 7px;
}

.destination__slide .content span {
    margin-left: 7px;
    color: rgba(255, 255, 255, 0.65);
    font-size: 15px;
}

/* <========== SEARCH TOUR =========> */
.search__tour {
    display: flex;
    align-items: center;
    justify-content: center;
    background: linear-gradient(to bottom, var(--black-color) 50%, #f7f7f7 50%);
    padding-bottom: 60px;
}

.search__tour__wrapper {
    width: 100%;
    padding: 50px 15px;
    background-color: var(--white-color);
    box-shadow: 0px 0px 60px 0px rgb(0 0 0 / 16%);
}

.search__tour__wrapper .section__heading {
    margin-bottom: 40px;
}

.search__tour__wrapper .section__title {
    max-width: 520px;
}

.feilds {
    display: flex;
    align-items: center;
    flex-direction: column;
}

.feild__item {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-bottom: 20px;
}

.feild__label {
    color: var(--label-color);
    font-weight: var(--font-bold);
    margin-bottom: 15px;
    font-size: 16px;
}

.feild__input,
.feild__select {
    display: flex;
    overflow: hidden;
    align-items: center;
    border: 2px solid #E6E6E6;
    height: 62px;
    border-radius: var(--radius-14);
}

.feild__input input,
.feild__select select {
    padding: 0 10px;
    border: none;
    width: 100%;
    height: 100%;
    font-size: 16px;
}

.feild__select select {
    margin-right: 10px;
}

.feild__input input::placeholder {
    color: var(--black-color);
}

.feild__input i {
    font-size: 20px;
    padding-right: 10px;
    color: var(--black-color);
}

input:focus,
select:focus-visible {
    border: none;
    outline: none;
}

.feilds .btn__1 {
    border-radius: var(--radius-full);
    display: flex;
    justify-content: center;
    align-items: center;
    margin-left: 10px;
    font-size: 34px;
    margin-top: 20px;
    padding: 15px;
}

/* <========== TOURS ==========> */
#tours {
    background-color: #f7f7f7;
}

.tour__item {
    border: 1px solid #E2E2E2;
    border-radius: var(--radius-14);
    box-shadow: 0px 0px 20px 0px rgb(0 0 0 / 5%);
}

.tour__item .img__box {
    border-top-left-radius: var(--radius-14);
    border-top-right-radius: var(--radius-14);
    overflow: hidden;
}

.tour__item__content {
    padding: 20px;
    background-color: var(--white-color);
    border-bottom-left-radius: var(--radius-14);
    border-bottom-right-radius: var(--radius-14);
    color: var(--black-color);
}

.tour__details {
    margin-bottom: 12px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.tour__details .rating {
    margin: 0;
    font-size: 20px;
}

.tour__details .rating i {
    transform: translateY(2px);
}

.tour__name {
    font-size: 22px;
    font-weight: var(--font-extra-bold);
    color: #3E4559;
    cursor: pointer;
    transition: all 0.3s linear;
}

.tour__item:hover .tour__name {
    color: var(--main-color);
}

.tour__item .desc {
    color: var(--text-light-color);
    font-weight: var(--font-medium);
    margin-bottom: 20px;
    font-size: 14px;
    font-style: italic;
    line-height: 1.4;
}

.tour__details .location,
.tour__details .price {
    display: flex;
    align-items: center;
    margin-right: 5px;
    color: var(--black-color);
    font-weight: var(--font-extra-bold);
    font-size: 14px;
}

.tour__details .location i {
    color: var(--main-color);
    font-size: 24px;
    margin-right: 5px;
}

.tour__details .price i {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 4px;
    border-radius: var(--radius-full);
    background-color: var(--main-color);
    color: var(--white-color);
    font-size: 15px;
    margin-right: 5px;
}

.tour__details .price span {
    font-weight: var(--font-light);
    font-size: 15px;
}

/* ========== SERVICE ========== */
#services {
    background-color: #f7f7f7;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    position: relative;
}


.service_wrapper {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    grid-gap: 1rem;
    cursor: pointer;
}

.service_item {
    border: 1px solid #E2E2E2;
    border-radius: var(--radius-14);
    box-shadow: 0px 0px 20px 0px rgb(0 0 0 / 5%);
    color: black;
    padding: 3rem;
    text-align: center;
    transition: transform 0.6s ease;
}

.service_item:hover {
    border: 1px solid #ff8000;
    transform: scale(1.05);
}

.service_item i {
    font-size: 4rem;
    margin-bottom: 2rem;
    color: #ff8000;
    transition: transform 0.6s ease;
}

.service_item:hover i {
    transform: rotate(360deg) scale(0.8);
}

@media screen and (max-width:1288px) {
    .service_wrapper {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        grid-gap: 1rem;
        cursor: pointer;
    }
}

@media screen and (max-width:675px) {
    .service_wrapper {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-gap: 1rem;
        cursor: pointer;
    }
}

@media screen and (max-width:480px) {
    .service_wrapper {
        display: grid;
        grid-template-columns: 1fr;
        grid-gap: 1rem;
        cursor: pointer;
    }

    .service_item i {
        font-size: 3rem;
        margin-bottom: 2rem;
        color: #ff8000;
    }
}


/* ========== TRANSPORT ========== */

.featured-car-list {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 30px;
}

.featured-car-card {
    background: linear-gradient(to top, #f2f6fd, #edf1f7);
    ;
    border: 1px solid #E2E2E2;
    border-radius: 18px;
    padding: 10px;
    box-shadow: 0px 0px 20px 0px rgba(255, 255, 255, 0.05);
}

.featured-car-card .card-banner {
    background: hsla(0, 0%, 0%, 0.2);
    aspect-ratio: 3 / 2;
    border-radius: 18px;
    overflow: hidden;
}

.featured-car-card .card-banner>img {
    height: 100%;
    object-fit: cover;
}

.featured-car-card .card-content .card-title-wrapper {
    padding: 20px 10px 0px;
    display: grid;
    grid-template-rows: 1fr 1fr;
}

.featured-car-card .card-title-wrapper {
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
    gap: 5px;
    margin-bottom: 15px;
}

.featured-car-card .card-title {
    width: 90%;
    padding-left: 20px;
}

.featured-car-card .card-title>a {
    color: black;
    width: 100%;
    white-space: wrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.featured-car-card .card-title>a:is(:hover, :focus) {
    color: #ff8000;
}

.featured-car-card .card-list {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid hsla(0, 0%, 0%, 0.1);
    margin-bottom: 15px;
    margin-top: -40px;
}

.featured-car-card .card-list-item {
    display: flex;
    align-items: center;
    gap: 8px;
    justify-content: center;
}

.featured-car-card .card-list-item i {
    font-size: 14px;
    color: #272727cf;
}

.featured-car-card .card-item-text {
    color: #272727cf;
    font-size: 14px;
}

.featured-car-card .transport-btn {
    font-size: 14px;
    border: none;
    outline: none;
    border: 1px solid #ff8000;
    border-radius: var(--radius-30);
    cursor: pointer;
    transition: all 0.3s linear;
    color: var(--white-color);
    min-width: 100%;
    background-color: #ff8000;
    text-align: center;
    padding: 7px;
    display: inline-block;
}

.featured-car-card .transport-btn:hover {
    background-color: white;
    color: #ff8000;

}

@media screen and (max-width:700px) {
    .featured-car-card .card-list-item i {
        font-size: 12px;
    }

    .featured-car-card .card-item-text {
        font-size: 12px;
    }
}

@media screen and (max-width: 559px) {
    .featured-car-card .card-list-item i {
        font-size: 14px;
    }

    .featured-car-card .card-item-text {
        font-size: 14px;
    }
}

@media screen and (max-width:400px) {
    .featured-car-card .card-list-item i {
        font-size: 12px;
    }

    .featured-car-card .card-item-text {
        font-size: 12px;
    }
}

/* ========== GALLERY ========== */
#gallery {
    background: url(/assets/Images/gallery-bg.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    background-attachment: fixed;
    position: relative;
}

#gallery::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.gallery__wrapper {
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    grid-template-rows: repeat(8, 5vw);
    grid-gap: 8px;
}

.gallery__item__1,
.gallery__item__3 {
    grid-column: auto / span 4;
    grid-row: auto / span 4;
}

.gallery__item__2,
.gallery__item__6,
.gallery__item__5 {
    grid-column: auto / span 4;
    grid-row: auto / span 8;
}

.gallery__item__4 {
    grid-column: auto / span 8;
    grid-row: auto / span 8;
}

.gallery__item {
    position: relative;
}

.gallery__item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    border-radius: var(--radius-8);
}

.gallery__item .icon {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    color: var(--white-color);
    opacity: 0;
    transition: all 0.3s ease-in-out;
}

.gallery__item:hover .icon {
    opacity: 1;
}


/* ========== SCROLL BUTTON ========== */
#progress {
    position: fixed;
    bottom: 20px;
    right: 10px;
    height: 50px;
    width: 50px;
    display: none;
    place-items: center;
    border-radius: 50%;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    cursor: pointer;
}

#progress-value {
    display: block;
    height: calc(100% - 10px);
    width: calc(100% - 10px);
    background-color: #ffffff;
    border-radius: 50%;
    display: grid;
    place-items: center;
    font-size: 26px;
    color: #000000;
}

@media screen and (max-width: 925px) {
    #progress {
        height: 40px;
        width: 40px;
    }

    #progress-value {
        height: calc(100% - 10px);
        width: calc(100% - 10px);
        font-size: 22px;
    }
}

@media screen and (max-width: 500px) {
    #progress {
        height: 30px;
        width: 30px;
    }

    #progress-value {
        height: calc(100% - 8px);
        width: calc(100% - 8px);
        font-size: 18px;
    }
}

/* ========== SCROLL BUTTON ========== */


/* ========== FOOTER ========== */
/* Footer Top */
footer {
    background-color: var(--black-color);
}

.footer__top {
    padding-bottom: 30px;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-wrap: wrap;
}

.footer__top .col {
    width: 100%;
    margin: 20px;
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
    justify-content: center;
}

.footer__logo {
    font-size: 2rem !important;
    font-weight: var(--font-extra-light) !important;
    letter-spacing: 1px !important;
    color: var(--white-color) !important;
    margin-bottom: 2rem !important;
}

.footer__top .col h4 {
    color: var(--white-color);
    font-size: 20px;
    margin-top: 10px;
    margin-bottom: 2rem;
    letter-spacing: 3px;
    text-transform: uppercase;
}

.footer__top .col p,
.footer__top .col a {
    color: rgba(255, 255, 255, 0.7);
    font-size: 14px;
    line-height: 1.8;
}

.footer__top .col a {
    transition: color 0.3s ease-in-out;
}

.footer__top .col a:hover {
    color: var(--main-color);
}

.footer__top .social__links {
    display: flex;
    margin-top: 10px;
}

.footer__top .social__links li a {
    color: var(--white-color);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 22px;
    margin-right: 10px;
    transition: all 0.3s ease-in-out;
}

.footer__top .social__links li a:hover {
    color: var(--main-color);
}

/* Footer Bottom */
.footer__bottom {
    padding: 25px 0;
    margin: 0 20px;
    border-top: 1px solid grey;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: space-between;
    gap: 10px;
    text-align: center;
}

.footer__bottom p {
    color: var(--white-color);
}




/* ========= Media Queries ========= */
@media screen and (max-width: 530px) {
    .section__title {
        font-weight: var(--font-extra-bold);
        font-size: 26px;
        margin-bottom: 25px;
    }

    .footer__bottom p {
        font-size: 14px;
    }

    .heading__text {
        font-family: var(--font-family-2);
        color: var(--white-color);
        font-size: 30px;
        margin-bottom: 1rem;
        line-height: 1.2;
    }

    .home__slide__desc {
        font-size: 14px;
    }

    .home__slide__content .btn a {
        width: 40%;
        padding: 10px 0;
        letter-spacing: 2px;
        color: white;
        font-size: 12px;
    }

    .destination__slide .content .title {
        font-size: 24px;
        color: var(--white-color);
        font-weight: var(--font-extra-bold);
        margin-bottom: 10px;
        transition: all 0.3s linear;
    }

    .destination__slide .content .description {
        font-size: 12px;
        max-width: 600px;
        font-style: italic;
        color: var(--text-dark-color);
        margin-bottom: 18px;
        margin-right: 1rem;
    }

    .fa-clock-four:before,
    .fa-clock:before {
        content: "\f017";
        font-size: 16px;
    }

    .destination__slide .content span {
        margin-left: 7px;
        color: rgba(255, 255, 255, 0.65);
        font-size: 13px;
    }

    .tags {
        height: 30px;
        width: auto;
        display: block;
        float: left;
        line-height: 30px;
        color: var(--white-color);
        font-size: 14px;
        font-weight: var(--font-medium);
        text-align: center;
        padding: 0 15px;
        margin-right: 15px;
        border-radius: var(--radius-30);
    }

    .btn {
        padding: 8px 15px;
        font-size: 14px;
        font-weight: var(--font-medium);
        border: none;
        outline: none;
        border-radius: var(--radius-30);
        cursor: pointer;
        transition: all 0.3s linear;
        color: var(--white-color);
    }
}

@media screen and (max-width: 400px) {
    .best__destination p {
        font-size: 14px;
        color: var(--white-color);
    }

    .best__destination i {
        font-size: 40px;
        color: var(--white-color);
        margin-right: 10px;
    }

    .section__title {
        font-weight: var(--font-extra-bold);
        font-size: 22px;
        margin-bottom: 25px;
    }

    .footer__top .col h4 {
        color: var(--white-color);
        font-size: 16px;
        margin-top: 10px;
        margin-bottom: 2rem;
        letter-spacing: 3px;
        text-transform: uppercase;
    }

    .footer__bottom p {
        font-size: 12px;
    }
}

@media screen and (max-width: 300px) {
    .best__destination p {
        font-size: 12px;
        color: var(--white-color);
    }

    .best__destination i {
        font-size: 30px;
        color: var(--white-color);
        margin-right: 0px;
    }

    .carousel__btn {
        width: 35px;
        height: 35px;
        font-size: 1rem;
    }

    .home__slide__content .carousel__btn {
        position: absolute;
        bottom: -50px;
        right: 30px;
    }

    .home__slide__desc {
        font-size: 13px;
    }
}

/* For medium devices */
@media screen and (min-width: 460px) {

    .section,
    .header,
    .nav__wrapper.fixed {
        padding: 0px 30px;
    }

    .home__slide__content {
        left: 30px;
    }

    .heading__text {
        font-size: 40px;
    }

    .home__slide__content .carousel__btn {
        right: 70px;
    }

    .best__destination {
        width: 320px;
        left: 30px;
    }

    .destination__slide img {
        min-height: 430px;
        max-height: 430px;
        object-fit: cover;
    }

    .tour__name {
        font-size: 24px;
    }

    .tour__item__content .desc,
    .tour__item__content .location,
    .tour__item__content .price {
        font-size: 16px;
    }

    .gallery__wrapper {
        grid-template-columns: repeat(9, 1fr);
        grid-template-rows: repeat(6, 5vw);
        grid-gap: 20px;
    }

    .gallery__item__1,
    .gallery__item__3,
    .gallery__item__6 {
        grid-column: auto / span 3;
        grid-row: auto /span 4;
    }

    .gallery__item__2,
    .gallery__item__4,
    .gallery__item__5 {
        grid-column: auto / span 3;
        grid-row: auto /span 6;
    }
}

@media screen and (min-width: 615px) {
    :root {
        --section-title-font-size: 40px;
    }

    .section__padding,
    .header,
    .nav__wrapper.fixed,
    .search__tour {
        padding: 0 40px 60px;
    }

    .header__top .contact__details {
        justify-content: flex-start;
        gap: 5rem;
    }

    .nav {
        justify-content: space-between;
    }

    .nav__search {
        right: 35px;
        left: auto;
    }

    .btn {
        padding: 15px 50px;
        font-size: 16px;
    }

    .search__bar input {
        font-size: 40px;
    }

    .home__slide__content .btn {
        padding: 15px 50px;
        width: auto;
    }

    .home__slide__content .carousel__btn {
        position: static;
    }

    .carousel__btn.light {
        border: 2px solid rgba(255, 255, 255, 0.36);
    }

    .carousel__btn.light:hover {
        border-color: var(--white-color);
    }

    .header__social__links {
        display: flex;
        gap: 22px;
        margin-top: 5px;
    }

    .section__subtitle {
        margin-bottom: 10px;
    }

    .destination__slide .content {
        padding-left: 50px;
        padding-bottom: 45px;
    }

    .destination__slide .content .description,
    .destination__slide .content span {
        font-size: 18px;
    }

    .destination__slide .tag__list {
        padding-top: 40px;
        padding-left: 47px;
    }

    .search__tour__wrapper {
        border-radius: var(--radius-14);
        padding: 50px;
    }

    footer {
        padding: 75px 40px;
        padding-bottom: 0;
    }

    .footer__top .brand__info {
        width: 20rem;
    }

    .footer__top .col {
        width: 15rem;
        align-items: flex-start;
        text-align: left;
    }

    .footer__bottom {
        flex-direction: row;
    }
}

@media screen and (min-width: 740px) {
    .blog__item__wrapper {
        flex-direction: row;
    }

    .blog__item {
        width: calc(50% - 25px);
    }
}

/* For Large Devices */
@media screen and (min-width: 1000px) {
    .section__padding {
        padding: 75px 0;
    }

    footer {
        padding: 75px;
        padding-bottom: 0;
    }

    .search__tour {
        padding: 0 75px 60px;
    }

    .header,
    .nav__wrapper.fixed {
        padding: 0 75px;
    }

    .home__slide__content {
        left: 75px;
    }

    .best__destination {
        left: auto;
        top: auto;
        right: 5vw;
        bottom: 150px;
    }

    .search__close {
        position: static;
    }

    .section__top {
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        padding-left: 75px;
        padding-right: 75px;
    }

    .section__content {
        padding: 0 75px;
    }

    .section__top .button__wrapper {
        flex-direction: row-reverse;
        gap: 15px;
    }

    .section__title {
        margin-bottom: 0;
    }

    .feilds .btn__1 {
        transform: translateY(-20px);
    }

    .heading__text {
        font-size: 50px;
    }
}

@media screen and (min-width: 1280px) {
    .nav__search {
        position: static;
    }

    .feilds {
        flex-direction: row;
        align-items: flex-end;
    }

    .feild__input,
    .feild__select {
        border-radius: 0;
        border: 2px solid #E6E6E6;
        border-right: none;
    }

    .feild__item:first-child .feild__input {
        border-top-left-radius: var(--radius-14);
        border-bottom-left-radius: var(--radius-14);
    }

    .feild__select {
        border-right: 2px solid #E6E6E6;
        border-top-right-radius: var(--radius-14);
        border-bottom-right-radius: var(--radius-14);
    }

    .heading__text {
        font-size: 60px;
    }
}